Subject: Re: bug#4096: closed (Re: bug#4094: 23.1.50; posn-at-point gets upset by overlays with 'invisible and 'display)

From: Lennart Borgman <[email-masked]>
Date: Sun, 10 Jul 2011 02:38:41 +0200

Sorry, I do not have time to give a precise recipe.

On Sun, Jul 10, 2011 at 02:31, GNU bug Tracking System
<[email-masked]> wrote:
> Your bug report
>
> #4094: 23.1.50; forward-char sometimes steps over overlay 'display
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 4094: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4094
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
> ---------- Forwarded message ----------
> From: Glenn Morris <[email-masked]>
> To: [email-masked]
> Date: Sat, 09 Jul 2011 20:30:08 -0400
> Subject: Re: bug#4094: 23.1.50; posn-at-point gets upset by overlays with 'invisible and 'display
>
> Closed due to lack of response.
>
> Chong Yidong wrote:
>
>> Please provide a precise, step-by-step recipe to reproduce this,
>> starting with `emacs -Q'.
>
>
>
> ---------- Forwarded message ----------
> From: Lennart Borgman <[email-masked]>
> To: [email-masked]
> Date: Sun, 9 Aug 2009 18:08:39 +0200
> Subject: 23.1.50; forward-char sometimes steps over overlay 'display
> I have two rather similar 'display strings for two invisible
> overlays. In one case forward-char steps over the 'display string part
> and in the other it stops on it (as it should).
>
> For the case when it steps over the display string looks something like
>
> #("+ <p>...(6 hidden lines)" 0 1
>  (face mode-line)
>  2 3
>  (fontified t)
>  3 4
>  (face font-lock-function-name-face fontified t)
>  4 5
>  (fontified t))
>
> and for the case where it stops (expected behaviour) it looks like
>
> #("+...(155 hidden lines)" 0 1
>  (face mode-line))
>
> I can reproduce it, but have not made a test case. However the behaviour
> can easily be seen in the devel sources for nXhtml. One case is for
> outline-minor-mode and one is for hs-minor-mode used in a nxhtml-mode buffer.
>
>
> In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
>  of 2009-08-01
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --no-opt --cflags
> -Ic:/g/include -fno-crossjumping'
>
>
>